;InnoSetupVersion=4.2.6

[Setup]
AppName=TreeSize Professional
AppVerName=TreeSize Professional 3
AppId=TreeSize Professional
AppPublisher=JAM Software
AppPublisherURL=http://www.jam-software.com
AppSupportURL=mailto:support@jam-software.com
DefaultDirName={pf}\JAM Software\TreeSize Professional
DefaultGroupName=TreeSize Professional
OutputBaseFilename=TreeSizePro-Setup
Compression=lzma
PrivilegesRequired=none
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\tsizepro,1.exe"; DestDir: "{app}"; DestName: "tsizepro.exe"; Languages: "en"; Flags: ignoreversion 
Source: "{app}\LICENSE,1.RTF"; DestDir: "{app}"; DestName: "LICENSE.RTF"; Languages: "en"; 
Source: "{app}\Readme,1.txt"; DestDir: "{app}"; DestName: "Readme.txt"; Languages: "en"; Flags: ignoreversion 
Source: "{app}\TSIZEPRO,1.HLP"; DestDir: "{app}"; DestName: "TSIZEPRO.HLP"; Languages: "en"; Flags: ignoreversion 
Source: "{app}\Tsizepro,1.pdf"; DestDir: "{app}"; DestName: "Tsizepro.pdf"; Languages: "en"; Flags: ignoreversion 
Source: "{app}\tsizepro,2.exe"; DestDir: "{app}"; DestName: "tsizepro.exe"; Languages: "de"; Flags: ignoreversion 
Source: "{app}\LICENSE,2.RTF"; DestDir: "{app}"; DestName: "LICENSE.RTF"; Languages: "de"; 
Source: "{app}\Readme,2.txt"; DestDir: "{app}"; DestName: "Readme.txt"; Languages: "de"; Flags: ignoreversion 
Source: "{app}\TSIZEPRO,2.HLP"; DestDir: "{app}"; DestName: "TSIZEPRO.HLP"; Languages: "de"; Flags: ignoreversion 
Source: "{app}\Tsizepro,2.pdf"; DestDir: "{app}"; DestName: "Tsizepro.pdf"; Languages: "de"; Flags: ignoreversion 
Source: "{app}\FSizeCol.dll"; DestDir: "{app}"; Tasks: FolderSizeColumn; Flags: regserver uninsrestartdelete 

[Registry]
Root: HKCR; Subkey: "Folder\shell\tsizepro3"; ValueType: String; ValueData: "TreeSize Pro &3"; Tasks: explorercontextmenu; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Folder\shell\tsizepro3\command"; ValueType: String; ValueData: """{app}\tsizepro.exe"" /CONTEXT ""%1"""; Tasks: explorercontextmenu; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\JAM Software"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\JAM Software\TreeSize Professional"; Flags: uninsdeletekeyifempty 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\Tsizepro.exe"; ValueType: String; ValueData: "{app}\tsizepro.exe"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Folder\ShellEx\ColumnHandlers\{{334A129D-AB6A-4209-89B2-8B8210248AA9}"; ValueType: String; ValueData: "TreeSize FolderSizeColumn"; Tasks: FolderSizeColumn; 

[Run]
Filename: "{app}\tsizepro.exe"; Parameters: "C:\"; Description: "Start TreeSize Professional"; Languages: "en"; Flags: postinstall skipifsilent nowait
Filename: "{app}\Readme.txt"; Description: "Show Readme File"; Languages: "en"; Flags: shellexec postinstall unchecked skipifsilent nowait
Filename: "{app}\tsizepro.exe"; Parameters: "C:\"; Description: "Start TreeSize Professional"; Languages: "de"; Flags: postinstall skipifsilent nowait
Filename: "{app}\Readme.txt"; Description: "Readme Datei anzeigen"; Languages: "de"; Flags: shellexec postinstall unchecked skipifsilent nowait

[Icons]
Name: "{group}\TreeSize Professional 3"; Filename: "{app}\tsizepro.exe"; 
Name: "{group}\TreeSize Professional 3 File Search"; Filename: "{app}\tsizepro.exe"; Parameters: "/SEARCH"; Languages: "en"; 
Name: "{group}\TreeSize Professional 3 Manual"; Filename: "{app}\Tsizepro.pdf"; Languages: "en"; 
Name: "{group}\TreeSize Professional 3 Help"; Filename: "{app}\tsizepro.hlp"; Languages: "en"; 
Name: "{group}\TreeSize Professional 3 Dateisuche"; Filename: "{app}\tsizepro.exe"; Parameters: "/SEARCH"; Languages: "de"; 
Name: "{group}\TreeSize Professional 3 Handbuch"; Filename: "{app}\Tsizepro.pdf"; Languages: "de"; 
Name: "{group}\TreeSize Professional 3 Hilfe"; Filename: "{app}\tsizepro.hlp"; Languages: "de"; 
Name: "{userdesktop}\TreeSize Professional"; Filename: "{app}\tsizepro.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\TreeSize Professional"; Filename: "{app}\tsizepro.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "FolderSizeColumn"; Description: "Install TreeSize column for Windows Explorer"; GroupDescription: "Additional features:"; Languages: "en"; MinVersion: 4.9,5.0; 
Name: "explorercontextmenu"; Description: "Add To &Explorer Context Menu"; GroupDescription: "Additional features:"; Languages: "en"; 
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; Languages: "en"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; Languages: "en"; 
Name: "FolderSizeColumn"; Description: "TreeSize Spalte fr den Windows Explorer installieren"; GroupDescription: "Zusatzfunktionen:"; Languages: "de"; MinVersion: 4.9,5.0; 
Name: "explorercontextmenu"; Description: "Zum &Explorer Kontextmen hinzufgen"; GroupDescription: "Zusatzfunktionen:"; Languages: "de"; 
Name: "desktopicon"; Description: "&Verknpfung auf dem Desktop erstellen"; GroupDescription: "Zustzliche Icons:"; Languages: "de"; 
Name: "quicklaunchicon"; Description: "Verknpfung in der &Schnellstartleiste erstellen"; GroupDescription: "Zustzliche Icons:"; Languages: "de"; 

[CustomMessages]
en.NameAndVersion=%1 version %2
en.AdditionalIcons=Additional icons:
en.CreateDesktopIcon=Create a &desktop icon
en.CreateQuickLaunchIcon=Create a &Quick Launch icon
en.ProgramOnTheWeb=%1 on the Web
en.UninstallProgram=Uninstall %1
en.LaunchProgram=Launch %1
en.AssocFileExtension=&Associate %1 with the %2 file extension
en.AssocingFileExtension=Associating %1 with the %2 file extension...
de.NameAndVersion=%1 Version %2
de.AdditionalIcons=Zustzliche Symbole:
de.CreateDesktopIcon=&Desktop-Symbol anlegen
de.CreateQuickLaunchIcon=Symbol in der Schnellstartleiste anlegen
de.ProgramOnTheWeb=%1 im Internet
de.UninstallProgram=%1 entfernen
de.LaunchProgram=%1 starten
de.AssocFileExtension=&Registriere %1 mit der %2-Dateierweiterung
de.AssocingFileExtension=%1 wird mit der %2-Dateierweiterung registriert...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "en"; MessagesFile: "embedded\en.isl"; LicenseFile: "embedded\enLicense.rtf"; 
Name: "de"; MessagesFile: "embedded\de.isl"; LicenseFile: "embedded\deLicense.rtf"; 
